Wordpress+可视化编辑器=最好的系统+零基础制作网页

网站上所有布局,颜色与设置均可在后台修改,无需编程基础

WordPress将PHP最低建议提高到7.2

2020-11-15 / 分类: / 浏览量:10次  /   评论数量:0

上周下半年,WordPress在使用户采用更新版本的PHP的目标上取得了重大进展。ServeHappy API已更新,将可接受的最低PHP版本设置为7.2,而WordPress下载页面建议使用7.3或更高版本。

Sergey Biryukov 在9天前Marius Jensen 为其开票后,就在中继线上进行了此更改。以前,ServeHappy仪表板小部件向PHP 5.6或更低版本的用户显示升级通知。

“与核心站点健康团队和托管团队讨论之后,最明智的下一步就是向PHP <= 7.1(这意味着设置ACCEPTABLE_PHP 为 7.2)的用户显示升级通知 ,” Jensen说。

“从数字上看,我们看到大约有25%的站点运行包含ServeHappy的WordPress版本,然后将获得升级通知。”

此更改意味着大多数WordPress网站都使用了可接受的PHP版本。大约47%的人在旧版本上运行WordPress。使用WordPress 5.2+(引入网站健康功能)的用户将看到ServeHappy API生成的升级通知。

此更新还将主动支持的PHP最低分支提高到7.3,并将接受安全更新的PHP最低分支提高到7.2。

Site Health小组将更改安排在上周五,但Jensen 指出,API调用在内核中缓存了一周。这整个星​​期应该会开始为用户弹出。

在2018年12月,PHP 5.6和7.0到达生命周期终止(EOL),并停止接收安全更新。到2018年底,大约83%的用户使用了不受支持的PHP版本。今天,随着Site Health项目的鼓励,有47%的用户使用了不受支持的PHP版本。上周进行的更新应有助于在2020年11月PHP 7.2到达EOL之前显着减少该数字。

作为Site Health团队的一员帮助协调了该项目的Jenny Wong 介绍了他们如何在设计,Polyglots和Hosting贡献者团队之间开始并成功地工作,以使此更新成为可能。

Wong说:“我记得去过旧金山的WordCamp,与安德鲁·纳辛(Andrew Nacin)和马克·贾奎斯(Mark Jaquith)一起坐下来,问他们为什么WordPress支持这样的旧版本,以及项目对此做了什么。” “他们告诉我正在进行的工作。

“他们告诉了我问题,他们花了一些时间向我解释并回答我所有的问题。”

Wong说,她很高兴能参与2014年的首次讨论,并与数十位贡献者分享了自己的旅程。

“对于翻译了我们扔给他们的一切的多语言专家,向其他提供反馈,争论,战斗,讨论和辩论的人,向每个有共同想法和补丁的人,向每个听我抱怨的人,我都采取了疯狂的想法并使它们成为现实-谢谢!” 黄说。

考虑到WordPress在市场上的巨大份额,鼓励采用更新版本的PHP将有助于使网络更加安全。请注意,根据ServeHappy API,此更新意味着7.2现在是被认为可以与WordPress一起使用的PHP的最低分支。在旧版本上运行的网站可能会继续工作,但WordPress将继续强烈敦促用户进行升级。

发表评论

Scroll to Top

QQ群962782975